Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZHit Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| update ()
| delete ()
& | getLinkHits ( $id)
| get ( $id)
| setLink ( $value)
| setRemoteIP ( $value)
| setTime ( $timestsamp)
| id ()
| link ()
| time ()
| remoteIP ()

## Public Attributes
| $ID
| $Link
| $Time
| $RemoteIP

## Detailed Description

! eZLink The eZHit class handles URL hits.

The eZHit class stores hits and information about hits to the database.

See also
  eZLink eZLinkgroup eZQuery

Definition at line 39 of file ezhit.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZHit::__construct | ( |  | $id = `-1` | ) |

Constructor

Definition at line 44 of file ezhit.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZHit::delete | ( |  | ) |

Delete from the database.

Definition at line 92 of file ezhit.php.

References $db, and eZDB\globalDatabase().

## ◆ get()

eZHit::get | ( |  | $id | ) |

Get out the count for one link.

Definition at line 114 of file ezhit.php.

References $db, and eZDB\globalDatabase().

## ◆ getLinkHits()

& eZHit::getLinkHits | ( |  | $id | ) |

Get out the count for one link.

Definition at line 102 of file ezhit.php.

References $count, $db, and eZDB\globalDatabase().

## ◆ id()

eZHit::id | ( |  | ) |

Return the id of the hit.

Definition at line 150 of file ezhit.php.

References $ID.

## ◆ link()

eZHit::link | ( |  | ) |

Return linkid.

Definition at line 159 of file ezhit.php.

References $Link.

## ◆ remoteIP()

eZHit::remoteIP | ( |  | ) |

Return the ip to the link hit.

Definition at line 175 of file ezhit.php.

References $RemoteIP.

## ◆ setLink()

eZHit::setLink | ( |  | $value | ) |

Set the linkid.

Definition at line 125 of file ezhit.php.

## ◆ setRemoteIP()

eZHit::setRemoteIP | ( |  | $value | ) |

Set the remote ip.

Definition at line 133 of file ezhit.php.

## ◆ setTime()

eZHit::setTime | ( |  | $timestsamp | ) |

Set the time.

Definition at line 141 of file ezhit.php.

References $Time.

## ◆ store()

eZHit::store | ( |  | ) |

Store to the database.

Definition at line 57 of file ezhit.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ time()

eZHit::time | ( |  | ) |

Return the time.

Definition at line 167 of file ezhit.php.

References $Time.

## ◆ update()

eZHit::update | ( |  | ) |

Update to the database

Definition at line 79 of file ezhit.php.

References $db, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $ID

eZHit::$ID

Definition at line 181 of file ezhit.php.

Referenced by __construct(), and id().

## ◆ $Link

eZHit::$Link

Definition at line 182 of file ezhit.php.

Referenced by link().

## ◆ $RemoteIP

eZHit::$RemoteIP

Definition at line 184 of file ezhit.php.

Referenced by remoteIP().

## ◆ $Time

eZHit::$Time

Definition at line 183 of file ezhit.php.

Referenced by setTime(), and time().

The documentation for this class was generated from the following file:

- ezhit.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.